Fetch bookkeeping reporting status
curl --request GET \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/reports/bookkeeping/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/reports/bookkeeping/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/reports/bookkeeping/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"enrollment_status": "ACTIVE",
"periods_awaiting_business_count": 123,
"pending_business_tasks_count": 123,
"as_of": "2023-11-07T05:31:56Z",
"type": "com.layerfi.routers.ApiBookkeepingReportingSummary",
"onboarding_date": "2023-12-25",
"first_bookkeeping_months": "2023-12-25",
"bookkeeping_end_date": "2023-12-25",
"churned_at": "2023-12-25",
"latest_closed_period": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"year": 123,
"month": 6
},
"last_message_received_at": "2023-11-07T05:31:56Z"
}
}{
"description": "<string>",
"meta": {}
}Bookkeeping Status
Fetch bookkeeping reporting status
Returns a rich bookkeeping status summary for a single business, including enrollment dates, periods waiting on the business, latest fully closed period, pending tasks, and last inbound SMS.
GET
/
v1
/
businesses
/
{businessId}
/
reports
/
bookkeeping
/
status
Fetch bookkeeping reporting status
Returns a point-in-time bookkeeping status summary for analytics and support workflows, including enrollment, periods waiting on the business, latest closed period, pending tasks, and last inbound SMS.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The UUID of the business.
Response
Bookkeeping reporting status summary.
Enrollment, outstanding work, latest close, and latest inbound SMS for a single business.
Show child attributes
Show child attributes
⌘I